<?php
/*
 * Sports Table Manager (https://bitbucket.org/stm-sport/sports-table-manager)
 * @license New BSD License
 * @author Zdenek Drahos
 */

/** Name of all tables in database */

// COMPETITION MODULE
define('DT_COMPETITIONS', 'COMPETITIONS');
define('DT_COMPETITIONS_TEAMS', 'COMPETITIONS_TEAMS');
define('DT_COMPETITION_TYPES', 'COMPETITION_TYPES');
define('DT_COMPETITION_CATEGORIES', 'COMPETITION_CATEGORIES');
# SEASON
define('DT_SEASONS', 'SEASONS');
# PLAYOFF
define('DT_PLAYOFFS', 'PLAYOFFS');
define('DT_PLAYOFF_SERIES', 'PLAYOFF_SERIES');

// MATCH MODULE
define('DT_MATCHES', 'MATCHES');
define('DT_MATCH_PERIODS', 'MATCH_PERIODS');
define('DT_SCORE_TYPES', 'SCORE_TYPES');
define('DT_MATCH_DETAILS', 'MATCH_DETAILS');
define('DT_MATCH_REFEREES', 'MATCH_REFEREES');
define('DT_MATCH_PLAYERS', 'MATCH_PLAYERS');
define('DT_MATCH_ACTIONS', 'MATCH_ACTIONS');
define('DT_MATCH_TEAM_ACTIONS', 'MATCH_TEAM_STATISTICS');
define('DT_MATCH_PLAYER_ACTIONS', 'MATCH_PLAYER_ACTIONS');
# VIEW
define('DT_MATCH_RESULTS', 'MATCH_RESULTS');

// TEAM MODULE
define('DT_TEAMS', 'TEAMS');
define('DT_TEAMS_PERSONS', 'TEAMS_PERSONS');
define('DT_TEAMS_PLAYERS', 'TEAMS_PLAYERS');
# CLUBS
define('DT_CLUBS', 'CLUBS');
define('DT_COUNTRIES', 'COUNTRIES');
define('DT_STADIUMS', 'STADIUMS');
define('DT_CLUBS_MEMBERS', 'CLUBS_MEMBERS');
# PERSONS
define('DT_PERSONS', 'PERSONS');
define('DT_ATTRIBUTES', 'ATTRIBUTES');
define('DT_PERSONS_ATTRIBUTES', 'PERSONS_ATTRIBUTES');
define('DT_PERSON_POSITIONS', 'PERSON_POSITIONS');
# SPORTS
define('DT_SPORTS', 'SPORTS');

// USER MODULE
define('DT_USERS', 'USERS');
define('DT_USER_GROUPS', 'USER_GROUPS');
define('DT_USER_GROUPS_AUTHORIZATIONS', 'USER_GROUPS_AUTHORIZATIONS');
# FOR COMPETITION MANAGER
define('DT_COMPETITIONS_USERS', 'COMPETITIONS_USERS');
# FOR SCORE PREDICTIONS
define('DT_MATCHES_PREDICTIONS', 'MATCHES_PREDICTIONS');
